### Enumeration

# Ggit RemoteDownloadTagsType

#### Declaration

    enum Ggit.RemoteDownloadTagsType

#### Description [src]

Automatic tag following option

Lets us select the —tags option to use.

#### Members

`GGIT_REMOTE_DOWNLOAD_TAGS_UNSPECIFIED`

  Use the setting from the configuration.

  - Value: `0`
  - Available since: 1.0
`GGIT_REMOTE_DOWNLOAD_TAGS_AUTO`

  Ask the server for tags pointing to objects we’re already downloading.

  - Value: `1`
  - Available since: 1.0
`GGIT_REMOTE_DOWNLOAD_TAGS_NONE`

  Don’t ask for any tags beyond the refspecs.

  - Value: `2`
  - Available since: 1.0
`GGIT_REMOTE_DOWNLOAD_TAGS_ALL`

  Ask for the all the tags.

  - Value: `3`
  - Available since: 1.0